com.holonplatform.datastore.jdbc.composer.resolvers

## Interface SQLExpressionResolver<E extends com.holonplatform.core.Expression>

- Type Parameters:
    `E` - Expression type to resolve
  All Superinterfaces:
    com.holonplatform.core.Expression.ExpressionResolverFunction<E,SQLExpression>, com.holonplatform.core.ExpressionResolver<E,SQLExpression>, Serializable, SQLContextExpressionResolver<E,SQLExpression>

      public interface SQLExpressionResolver<E extends com.holonplatform.core.Expression>
      extends SQLContextExpressionResolver<E,SQLExpression>

  A `SQLContextExpressionResolver` to resolve an expression into a `SQLExpression`.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ExpressionResolver

      `com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<C extends com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<C>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, com.holonplatform.core.ExpressionResolver.ResolutionContext`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.ExpressionResolver

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Class<? extends SQLExpression>` | `getResolvedType()`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.resolvers.SQLContextExpressionResolver

      `getDefaultResolvers, resolve, resolve`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver

      `create, getExpressionType`

- - ### Method Detail

    - #### getResolvedType

          default Class<? extends SQLExpression> getResolvedType()

      Specified by:
        `getResolvedType` in interface `com.holonplatform.core.ExpressionResolver<E extends com.holonplatform.core.Expression,SQLExpression>`

Copyright © 2019 The Holon Platform. All rights reserved.